Bug 15077 - Fix Fast Add framework to pass test
Summary: Fix Fast Add framework to pass test
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_22_candidate
Depends on:
Blocks:
 
Reported: 2015-10-29 11:34 UTC by Bernardo Gonzalez Kriegel
Modified: 2016-06-21 21:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15077: Fix Fast Add framework to pass test (2.79 KB, patch)
2015-10-29 11:51 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15077: Fix Fast Add framework to pass test (2.93 KB, patch)
2015-10-29 17:20 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15077: Fix Fast Add framework to pass test (2.98 KB, patch)
2015-10-30 08:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2015-10-29 11:34:19 UTC
Simplified creation introduced in Bug 10963 makes FA framework fail MARC bibliographic framework test. Sorry for that.
Comment 1 Bernardo Gonzalez Kriegel 2015-10-29 11:51:15 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-10-29 17:20:57 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-10-30 08:46:24 UTC
Created attachment 44186 [details] [review]
Bug 15077: Fix Fast Add framework to pass test

This patch fixes tab location for FA frameworks.
Not all subfields belongs to tab 0.

To test:
1) On current master, with default and fasadd fw loaded,
go to Home > Administration > MARC bibliographic framework test
it fails

2) Apply the patch
3) Delete all fw, reload all, or just default (bib & auth) and
fast add
4) Repeat 1, now test must pass

This is only on master, so no need to database update.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. MARC bibliographic framework test passed Ok.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-10-30 13:06:28 UTC
Patch pushed to master.

Thanks Bernardo!